// global Excel object
var XL = null;

// start Excel
function XL_start(options) {

    // start Excel
    XL = guixt.CreateObject("Excel.Application");

    // options: "visible,..." 
    if (!options) options = "";
    options = options.toLowerCase();

    XL.Visible = (options.indexOf("visible") >= 0);
}


// copy textfile (CSV format) as new worksheet with given name
function XL_copy_textfile(filename, sheetname) {

    var prevsheet = null;
    if (XL.ActiveWorkBook) {
        prevsheet = XL.ActiveWorkBook.Sheets(XL.ActiveWorkBook.Sheets.Count);
    };

    var xlDelimited = 1;
    XL.WorkBooks.OpenText(filename, 65001, null, xlDelimited, null, null, null, null, null, null, true, ";");

    var wb = XL.ActiveWorkBook;
    wb.Sheets(1).Copy(null, prevsheet);
    wb.Close(false);
    wb = null;

    XL.ActiveWorkBook.ActiveSheet.Name = sheetname;
};


// save Excel file
function XL_save(filename) {

    // file format
    var xlOpenXMLWorkbook = 51; 

    // overwrite without prompt
    XL.DisplayAlerts = false;  

    // save whole workbook
    XL.ActiveWorkbook.SaveAs(filename, xlOpenXMLWorkbook);
}


// close Excel
function XL_close() {

    XL.DisplayAlerts = false;
    XL.ActiveWorkbook.Close(false);
    XL.Quit();
    XL = null;
}